import { v as c, q as s, f as l } from "./index-jYYVpIDL.js";
import { useState as m } from "react";
import { A as u } from "./AppCard-pSUVQRE0.js";
const A = function({ app: r, eventType: p }) {
  var n;
  const { getAppData: t, setAppData: i } = c(), d = t("trackingId"), [o, a] = m(t("enabled"));
  return /* @__PURE__ */ s.jsx(
    u,
    {
      app: r,
      switchOnClick: (e) => {
        a(!!e);
      },
      switchChecked: o,
      teamId: ((n = p.team) == null ? void 0 : n.id) || void 0,
      children: /* @__PURE__ */ s.jsx(
        l,
        {
          name: "Tracking ID",
          value: d,
          onChange: (e) => {
            i("trackingId", e.target.value);
          }
        }
      )
    }
  );
};
export {
  A as default
};
